Bug 240608 - rhn-setup requires modification for 5.1 firstboot
rhn-setup requires modification for 5.1 firstboot
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Slagle
Brandon Perkins
:
Depends On:
Blocks: 221177
  Show dependency treegraph
 
Reported: 2007-05-18 15:06 EDT by Chris Lumens
Modified: 2009-10-13 21:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 16:35:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Lumens 2007-05-18 15:06:42 EDT
Bug 221177 against firstboot has a patch attached to it that modifies the flow
from page to page.  When testing this on RHEL, this patch breaks the first
screen of the rhn-setup package.  On this screen, if you do not have RHN enabled
(lack of network, no key entered in anaconda, etc.) it displays an error message
and then sets the page to the last one of the RHN set.  This makes sense.

However with the modifications to firstboot for fixing 221177, this will no
longer work.  The call to setPage in rhn_start_gui.py will skip to the last RHN
page like it should, but then firstboot will move to the next page anyway.  In
this case, the next page will be the second RHN one.  From there, everything
gets very confused.

What I'm proposing to do to fix this is to modify setPage to add a named
parameter indicating that a module is requesting to skip ahead, instead of the
usual page flow taking place.  This will require a modification to
rhn_start_gui.py but I believe it will be a very simple one.

Would it be possible to make this sort of modification to the RHN firstboot
module for 5.1?
Comment 1 RHEL Product and Program Management 2007-05-18 15:55:40 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Todd Sanders 2007-05-21 10:32:39 EDT
James - Can you comment on this bug?
Comment 3 James Slagle 2007-05-21 15:03:59 EDT
we ought to be able to fix this for 5.1.
Comment 4 Chris Lumens 2007-06-25 16:35:54 EDT
Okay I've narrowed the offending patch in firstboot down a little bit and I no
longer think changes to RHN will be required.  Besides, it's getting too late to
really do anything here.  Closing.

Note You need to log in before you can comment on or make changes to this bug.